View Issue Details

IDProjectCategoryLast Update
0020845AI War 2[All Projects] Crash/ExceptionMay 17, 2019 8:58 pm
ReporterOvalcircleAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.809 Divide By Human 
Fixed in VersionBETA 0.860 The Lobby Ate My Factions?? 
Summary0020845: Error on lobby screen
DescriptionI went to the Factions tab and set up the game. I then went to the map tab. I changed the map, but I couldn't zoom in using the mouse wheel. I went back to the Factions tab and was able to zoom in. Then I went back to the map tab and an error occurred.

Error occurs at 12/19/2018 3:57:24 PM
TagsNo tags attached.

Relationships

child of 0020151 assignedx4000Bughunter Completely redo lobby (parent). 

Activities

Ovalcircle

Dec 19, 2018 4:40 pm

reporter  

20181219155729_1.jpg (193,885 bytes)
20181219155729_1.jpg (193,885 bytes)
ErrorsReportedByEngine.txt (2,405 bytes)
9/29/2018 12:28:28 AM (0.776) Mem: 299,622,400 Mode: Off Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
NullReferenceException: Object reference not set to an instance of an object
Stack Trace: Arcen.AIW2.PrivateVisExtensions.DirectTopDownCam.RecalculateSecondaryData () (at <cbd89dac785e47aba7251c122e1dcf86>:0)
Arcen.AIW2.PrivateVisExtensions.StrategyCamBase.RunUpdate () (at <cbd89dac785e47aba7251c122e1dcf86>:0)
Arcen.AIW2.Core.CameraLogicWrapper.Update () (at <3d6423240d424725bc3d59c2917608d4>:0)



12/19/2018 3:57:24 PM (0.809) Mem: 447,447,040 Mode: Host Plat:WindowsPlayer
-----------------------------------ErrorsReportedByEngine-----------------------------------
-----------
NullReferenceException
Stack Trace: UnityEngine.EventSystems.UIBehaviour.IsActive () (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
TMPro.TMP_ArcenDropdown.Hide () (at <371fc104c94a4724860239623ea95520>:0)
TMPro.TMP_ArcenDropdown.OnSelectItem (UnityEngine.UI.Toggle toggle) (at <371fc104c94a4724860239623ea95520>:0)
TMPro.TMP_ArcenDropdown+<Show>c__AnonStorey1.<>m__0 (System.Boolean x) (at <371fc104c94a4724860239623ea95520>:0)
UnityEngine.Events.InvokableCall`1[T1].Invoke (T1 args0) (at <d4d4a76e1c8542dc9298df0a5fd7021c>:0)
UnityEngine.Events.UnityEvent`1[T0].Invoke (T0 arg0) (at <d4d4a76e1c8542dc9298df0a5fd7021c>:0)
UnityEngine.UI.Toggle.Set (System.Boolean value, System.Boolean sendCallback) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.Set (System.Boolean value) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.set_isOn (System.Boolean value) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.InternalToggle () (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.EventSystem:Update()



ArcenDebugLog.txt (40,322 bytes)
11/5/2018 11:25:29 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
11/5/2018 11:25:30 PM	No resolution change was required.
11/5/2018 11:25:30 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
11/5/2018 11:25:30 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
11/5/2018 11:25:41 PM	Failed to load GameObject 'assets/arcenui/_customuis/sidebarclosed.prefab' from bundle 'arcenui'
11/5/2018 11:26:01 PM	ArcenAssetBundleCache.InstantiatedObjects: 771
11/5/2018 11:26:03 PM	Game Version: 0.805
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
11/5/2018 11:26:03 PM	34.8 seconds total load time.

SetDirectoriesToBeUsed (0.7s)
Calculate FInt Sqrt Arrays (0.5s)
LoadFinalSFXStuff (10.3s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.4s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.3s)
PlanetDefinitionTable (0.8s)
GameEntityTypeDataTable.Initialize (0.9s)
GameEntityTypeDataTable.InitVisualBits (15.2s)
SurrogateTableTable (1.8s)
11/5/2018 11:26:06 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

11/5/2018 11:26:15 PM	Generate Map with type X and seed 503472857
11/5/2018 11:26:15 PM	World Created, Launching Server
11/5/2018 11:26:15 PM	Successfully opened host socket
11/5/2018 11:26:23 PM	PLAYER DISCONNECTED 0.0.0.0=>0
11/5/2018 11:26:23 PM	Generate Map with type X and seed 503472857
11/5/2018 11:26:23 PM	World Created, Launching Server
11/5/2018 11:26:23 PM	Successfully opened host socket
11/5/2018 11:26:35 PM	Generate Map with type X and seed 503472857
11/5/2018 11:26:35 PM	Generate Map Complete
11/5/2018 11:26:43 PM	Generate Map with type Octopus and seed 503472857
11/5/2018 11:26:43 PM	Generate Map Complete
11/5/2018 11:26:46 PM	Generate Map with type Octopus and seed 333395502
11/5/2018 11:26:46 PM	Generate Map Complete
11/5/2018 11:26:52 PM	Generate Map with type Octopus and seed 333395502
11/5/2018 11:26:52 PM	Generate Map Complete
11/5/2018 11:26:55 PM	Generate Map with type Simple and seed 333395502
11/5/2018 11:26:55 PM	Generate Map Complete
11/5/2018 11:27:03 PM	PLAYER DISCONNECTED 0.0.0.0=>0
11/5/2018 11:27:19 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
11/5/2018 11:27:20 PM	No resolution change was required.
11/5/2018 11:27:20 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
11/5/2018 11:27:20 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
11/5/2018 11:27:32 PM	Failed to load GameObject 'assets/arcenui/_customuis/sidebarclosed.prefab' from bundle 'arcenui'
11/5/2018 11:27:40 PM	ArcenAssetBundleCache.InstantiatedObjects: 771
11/5/2018 11:27:41 PM	Game Version: 0.805
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
11/5/2018 11:27:41 PM	22.4 seconds total load time.

SetDirectoriesToBeUsed (0.8s)
Calculate FInt Sqrt Arrays (0.5s)
Language.Initialize (0.3s)
LoadFinalSFXStuff (10.9s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.3s)
PlanetDefinitionTable (0.8s)
GameEntityTypeDataTable.Initialize (0.8s)
GameEntityTypeDataTable.InitVisualBits (3.6s)
SurrogateTableTable (0.9s)
11/5/2018 11:27:41 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

11/5/2018 11:27:48 PM	Generate Map with type X and seed 503472857
11/5/2018 11:27:48 PM	World Created, Launching Server
11/5/2018 11:27:49 PM	Successfully opened host socket
11/5/2018 11:27:58 PM	Generate Map with type X and seed 503472857
11/5/2018 11:27:58 PM	Generate Map Complete
11/5/2018 11:28:03 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:03 PM	Generate Map Complete
11/5/2018 11:28:05 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:05 PM	Generate Map Complete
11/5/2018 11:28:10 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:10 PM	Generate Map Complete
11/5/2018 11:28:13 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:13 PM	Generate Map Complete
11/5/2018 11:28:16 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:16 PM	Generate Map Complete
11/5/2018 11:28:19 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:19 PM	Generate Map Complete
11/5/2018 11:28:30 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:30 PM	Generate Map Complete
11/5/2018 11:28:35 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:35 PM	Generate Map Complete
11/5/2018 11:28:40 PM	Generate Map with type X and seed 503472857
11/5/2018 11:28:40 PM	Generate Map Complete
11/5/2018 11:29:30 PM	Generate Map with type X and seed 503472857
11/5/2018 11:29:30 PM	Generate Map Complete
11/5/2018 11:33:17 PM	The previous wave interval was 401 so next one should be 802
11/5/2018 11:35:55 PM	The previous wave interval was 802 so next one should be 1604
11/5/2018 11:39:31 PM	The previous wave interval was 1604 so next one should be 3208
11/5/2018 11:40:42 PM	PLAYER DISCONNECTED 0.0.0.0=>0
11/5/2018 11:40:42 PM	Successfully opened host socket
11/5/2018 11:41:12 PM	PLAYER DISCONNECTED 0.0.0.0=>0
11/16/2018 11:33:34 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
11/16/2018 11:33:37 PM	No resolution change was required.
11/16/2018 11:33:37 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
11/16/2018 11:33:37 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
11/16/2018 11:34:47 PM	ArcenAssetBundleCache.InstantiatedObjects: 771
11/16/2018 11:34:49 PM	Game Version: 0.806
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
11/16/2018 11:34:49 PM	75.9 seconds total load time.

SetDirectoriesToBeUsed (0.9s)
Calculate FInt Sqrt Arrays (0.5s)
Language.Initialize (1.0s)
PresentationLayer.LoadVisualConstants_Early (0.7s)
ExternalCoreConstants (0.4s)
LoadFinalSFXStuff (13.6s)
ExternalIconDictionaryTable (1.5s)
ArcenUIPrefabTable (2.3s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.3s)
ExternalConstants (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.4s)
GameSpeedTypeTable (0.3s)
Profile_ChiefAdviserTable (0.4s)
SpaceboxDefinitionTable (1.2s)
PlanetDefinitionTable (4.5s)
GameEntityTypeDataTable.Initialize (4.5s)
GameEntityTypeDataTable.InitVisualBits (35.0s)
GameEntityTypeDataTable.Instance.ComputeBalanceStats (0.6s)
SurrogateTableTable (3.4s)
LogSystemInfo (0.3s)
11/16/2018 11:35:02 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

11/17/2018 12:01:33 AM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
11/17/2018 12:01:34 AM	No resolution change was required.
11/17/2018 12:01:34 AM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
11/17/2018 12:01:34 AM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
11/17/2018 12:02:11 AM	ArcenAssetBundleCache.InstantiatedObjects: 771
11/17/2018 12:02:12 AM	Game Version: 0.806
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
11/17/2018 12:02:12 AM	39.5 seconds total load time.

SetDirectoriesToBeUsed (0.7s)
Calculate FInt Sqrt Arrays (0.5s)
Language.Initialize (0.3s)
LoadFinalSFXStuff (13.6s)
ExternalIconDictionaryTable (1.3s)
ArcenUIPrefabTable (1.7s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
GameSpeedTypeTable (0.3s)
SpaceboxDefinitionTable (1.8s)
PlanetDefinitionTable (1.6s)
GameEntityTypeDataTable.Initialize (0.8s)
GameEntityTypeDataTable.InitVisualBits (12.1s)
SurrogateTableTable (1.3s)
11/17/2018 12:02:13 AM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

12/7/2018 5:53:18 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
12/7/2018 5:53:21 PM	No resolution change was required.
12/7/2018 5:53:21 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
12/7/2018 5:53:21 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
12/7/2018 5:54:21 PM	ArcenAssetBundleCache.InstantiatedObjects: 771
12/7/2018 5:54:22 PM	Game Version: 0.807
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
12/7/2018 5:54:22 PM	64.8 seconds total load time.

SetDirectoriesToBeUsed (1.0s)
Calculate FInt Sqrt Arrays (0.4s)
Language.Initialize (1.6s)
PresentationLayer.LoadVisualConstants_Early (0.5s)
ExternalCoreConstants (0.3s)
LoadFinalSFXStuff (15.3s)
ExternalIconDictionaryTable (1.5s)
ArcenUIPrefabTable (2.4s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.4s)
ExternalConstants (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.4s)
GameSpeedTypeTable (0.3s)
SpaceboxDefinitionTable (4.2s)
PlanetDefinitionTable (2.4s)
GameEntityTypeDataTable.Initialize (4.4s)
GameEntityTypeDataTable.InitVisualBits (23.8s)
SurrogateTableTable (1.4s)
12/7/2018 5:54:26 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

12/7/2018 5:54:42 PM	Generate Map with type X and seed 503472857
12/7/2018 5:54:43 PM	World Created, Launching Server
12/7/2018 5:54:43 PM	Successfully opened host socket
12/7/2018 5:54:46 PM	Generate Map with type Tutorial and seed 503472857
12/7/2018 5:54:46 PM	Welcome to the test generator

12/7/2018 5:54:46 PM	populate PlanetPoints list

12/7/2018 5:54:46 PM	I have created my points, now let's make the planets

12/7/2018 5:54:46 PM	Adding planet 0 at location 0,100

12/7/2018 5:54:46 PM	Adding planet 1 at location 500,0

12/7/2018 5:54:46 PM	Adding planet 2 at location 600,100

12/7/2018 5:54:47 PM	Adding planet 3 at location -100,-100

12/7/2018 5:54:47 PM	Adding planet 4 at location 0,-600

12/7/2018 5:54:47 PM	My galaxy has 6 planets. Return now

12/7/2018 5:54:47 PM	Generate Map Complete
12/7/2018 5:54:49 PM	Generate Map with type Tutorial and seed 503472857
12/7/2018 5:54:49 PM	Welcome to the test generator

12/7/2018 5:54:49 PM	populate PlanetPoints list

12/7/2018 5:54:49 PM	I have created my points, now let's make the planets

12/7/2018 5:54:49 PM	Adding planet 0 at location 0,100

12/7/2018 5:54:49 PM	Adding planet 1 at location 500,0

12/7/2018 5:54:49 PM	Adding planet 2 at location 600,100

12/7/2018 5:54:49 PM	Adding planet 3 at location -100,-100

12/7/2018 5:54:49 PM	Adding planet 4 at location 0,-600

12/7/2018 5:54:49 PM	My galaxy has 6 planets. Return now

12/7/2018 5:54:49 PM	Generate Map Complete
12/7/2018 5:55:02 PM	Generate Map with type Tutorial and seed 503472857
12/7/2018 5:55:02 PM	Welcome to the test generator

12/7/2018 5:55:02 PM	populate PlanetPoints list

12/7/2018 5:55:02 PM	I have created my points, now let's make the planets

12/7/2018 5:55:02 PM	Adding planet 0 at location 0,100

12/7/2018 5:55:02 PM	Adding planet 1 at location 500,0

12/7/2018 5:55:02 PM	Adding planet 2 at location 600,100

12/7/2018 5:55:02 PM	Adding planet 3 at location -100,-100

12/7/2018 5:55:02 PM	Adding planet 4 at location 0,-600

12/7/2018 5:55:02 PM	My galaxy has 6 planets. Return now

12/7/2018 5:55:02 PM	Generate Map Complete
12/7/2018 5:55:08 PM	Generate Map with type Tutorial and seed 503472857
12/7/2018 5:55:08 PM	Welcome to the test generator

12/7/2018 5:55:08 PM	populate PlanetPoints list

12/7/2018 5:55:08 PM	I have created my points, now let's make the planets

12/7/2018 5:55:08 PM	Adding planet 0 at location 0,100

12/7/2018 5:55:08 PM	Adding planet 1 at location 500,0

12/7/2018 5:55:08 PM	Adding planet 2 at location 600,100

12/7/2018 5:55:08 PM	Adding planet 3 at location -100,-100

12/7/2018 5:55:08 PM	Adding planet 4 at location 0,-600

12/7/2018 5:55:09 PM	My galaxy has 6 planets. Return now

12/7/2018 5:55:09 PM	Generate Map Complete
12/7/2018 5:55:11 PM	Generate Map with type Tutorial and seed 503472857
12/7/2018 5:55:11 PM	Welcome to the test generator

12/7/2018 5:55:11 PM	populate PlanetPoints list

12/7/2018 5:55:11 PM	I have created my points, now let's make the planets

12/7/2018 5:55:11 PM	Adding planet 0 at location 0,100

12/7/2018 5:55:11 PM	Adding planet 1 at location 500,0

12/7/2018 5:55:11 PM	Adding planet 2 at location 600,100

12/7/2018 5:55:11 PM	Adding planet 3 at location -100,-100

12/7/2018 5:55:11 PM	Adding planet 4 at location 0,-600

12/7/2018 5:55:12 PM	My galaxy has 6 planets. Return now

12/7/2018 5:55:12 PM	Generate Map Complete
12/7/2018 5:55:14 PM	Generate Map with type Tutorial and seed 503472857
12/7/2018 5:55:14 PM	Welcome to the test generator

12/7/2018 5:55:14 PM	populate PlanetPoints list

12/7/2018 5:55:14 PM	I have created my points, now let's make the planets

12/7/2018 5:55:14 PM	Adding planet 0 at location 0,100

12/7/2018 5:55:14 PM	Adding planet 1 at location 500,0

12/7/2018 5:55:14 PM	Adding planet 2 at location 600,100

12/7/2018 5:55:14 PM	Adding planet 3 at location -100,-100

12/7/2018 5:55:14 PM	Adding planet 4 at location 0,-600

12/7/2018 5:55:14 PM	My galaxy has 6 planets. Return now

12/7/2018 5:55:14 PM	Generate Map Complete
12/7/2018 5:59:37 PM	PLAYER DISCONNECTED 0.0.0.0=>0
12/19/2018 3:54:32 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
12/19/2018 3:54:33 PM	No resolution change was required.
12/19/2018 3:54:33 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
12/19/2018 3:54:33 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
12/19/2018 3:55:27 PM	ArcenAssetBundleCache.InstantiatedObjects: 771
12/19/2018 3:55:28 PM	Game Version: 0.809
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
12/19/2018 3:55:28 PM	56.8 seconds total load time.

SetDirectoriesToBeUsed (0.9s)
Calculate FInt Sqrt Arrays (0.5s)
Language.Initialize (0.4s)
PresentationLayer.LoadVisualConstants_Early (0.5s)
LoadFinalSFXStuff (13.6s)
ExternalIconDictionaryTable (1.4s)
ArcenUIPrefabTable (2.4s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
PresentationLayer.LoadVisualConstants_Late (0.6s)
GameSpeedTypeTable (0.5s)
SpaceboxDefinitionTable (1.6s)
PlanetDefinitionTable (4.2s)
GameEntityTypeDataTable.Initialize (4.3s)
GameEntityTypeDataTable.InitVisualBits (20.9s)
SurrogateTableTable (1.3s)
12/19/2018 3:55:29 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

12/19/2018 3:55:34 PM	Generate Map with type Tutorial and seed 503472857
12/19/2018 3:55:34 PM	World Created, Launching Server
12/19/2018 3:55:34 PM	Welcome to the test generator

12/19/2018 3:55:34 PM	populate PlanetPoints list

12/19/2018 3:55:34 PM	I have created my points, now let's make the planets

12/19/2018 3:55:34 PM	Adding planet 0 at location 0,100

12/19/2018 3:55:34 PM	Adding planet 1 at location 500,0

12/19/2018 3:55:34 PM	Adding planet 2 at location 600,100

12/19/2018 3:55:34 PM	Adding planet 3 at location -100,-100

12/19/2018 3:55:34 PM	Adding planet 4 at location 0,-600

12/19/2018 3:55:34 PM	My galaxy has 6 planets. Return now

12/19/2018 3:55:36 PM	Successfully opened host socket
12/19/2018 3:56:01 PM	Generate Map with type Tutorial and seed 503472857
12/19/2018 3:56:01 PM	Welcome to the test generator

12/19/2018 3:56:01 PM	populate PlanetPoints list

12/19/2018 3:56:01 PM	I have created my points, now let's make the planets

12/19/2018 3:56:01 PM	Adding planet 0 at location 0,100

12/19/2018 3:56:01 PM	Adding planet 1 at location 500,0

12/19/2018 3:56:01 PM	Adding planet 2 at location 600,100

12/19/2018 3:56:01 PM	Adding planet 3 at location -100,-100

12/19/2018 3:56:01 PM	Adding planet 4 at location 0,-600

12/19/2018 3:56:01 PM	My galaxy has 6 planets. Return now

12/19/2018 3:56:01 PM	Generate Map Complete
12/19/2018 3:56:05 PM	Generate Map with type Tutorial and seed 503472857
12/19/2018 3:56:05 PM	Welcome to the test generator

12/19/2018 3:56:05 PM	populate PlanetPoints list

12/19/2018 3:56:05 PM	I have created my points, now let's make the planets

12/19/2018 3:56:05 PM	Adding planet 0 at location 0,100

12/19/2018 3:56:05 PM	Adding planet 1 at location 500,0

12/19/2018 3:56:05 PM	Adding planet 2 at location 600,100

12/19/2018 3:56:05 PM	Adding planet 3 at location -100,-100

12/19/2018 3:56:05 PM	Adding planet 4 at location 0,-600

12/19/2018 3:56:05 PM	My galaxy has 6 planets. Return now

12/19/2018 3:56:05 PM	Generate Map Complete
12/19/2018 3:56:17 PM	Generate Map with type Tutorial and seed 503472857
12/19/2018 3:56:17 PM	Welcome to the test generator

12/19/2018 3:56:17 PM	populate PlanetPoints list

12/19/2018 3:56:17 PM	I have created my points, now let's make the planets

12/19/2018 3:56:17 PM	Adding planet 0 at location 0,100

12/19/2018 3:56:17 PM	Adding planet 1 at location 500,0

12/19/2018 3:56:17 PM	Adding planet 2 at location 600,100

12/19/2018 3:56:17 PM	Adding planet 3 at location -100,-100

12/19/2018 3:56:17 PM	Adding planet 4 at location 0,-600

12/19/2018 3:56:17 PM	My galaxy has 6 planets. Return now

12/19/2018 3:56:17 PM	Generate Map Complete
12/19/2018 3:56:20 PM	Generate Map with type Tutorial and seed 503472857
12/19/2018 3:56:20 PM	Welcome to the test generator

12/19/2018 3:56:20 PM	populate PlanetPoints list

12/19/2018 3:56:20 PM	I have created my points, now let's make the planets

12/19/2018 3:56:20 PM	Adding planet 0 at location 0,100

12/19/2018 3:56:20 PM	Adding planet 1 at location 500,0

12/19/2018 3:56:20 PM	Adding planet 2 at location 600,100

12/19/2018 3:56:20 PM	Adding planet 3 at location -100,-100

12/19/2018 3:56:20 PM	Adding planet 4 at location 0,-600

12/19/2018 3:56:20 PM	My galaxy has 6 planets. Return now

12/19/2018 3:56:20 PM	Generate Map Complete
12/19/2018 3:57:13 PM	Generate Map with type Maze and seed 503472857
12/19/2018 3:57:13 PM	Generate Map Complete
12/19/2018 3:57:24 PM
Coroutine container not configured... did you forget to call Init?

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLogErrorWrapper (System.String Message) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at TMPro.ArcenTweenRunner`1[T].StartTween (T info) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at TMPro.TMP_ArcenDropdown.AlphaFadeList (System.Single duration, System.Single start, System.Single end) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at TMPro.TMP_ArcenDropdown.AlphaFadeList (System.Single duration, System.Single alpha) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at TMPro.TMP_ArcenDropdown.Hide () [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at TMPro.TMP_ArcenDropdown.OnSelectItem (UnityEngine.UI.Toggle toggle) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at TMPro.TMP_ArcenDropdown+<Show>c__AnonStorey1.<>m__0 (System.Boolean x) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at UnityEngine.Events.InvokableCall`1[T1].Invoke (T1 args0) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.Events.UnityEvent`1[T0].Invoke (T0 arg0) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.UI.Toggle.Set (System.Boolean value, System.Boolean sendCallback) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.UI.Toggle.Set (System.Boolean value) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.UI.Toggle.set_isOn (System.Boolean value) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.UI.Toggle.InternalToggle () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.UI.Toggle.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMousePress (UnityEngine.EventSystems.PointerInputModule+MouseButtonEventData data) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent (System.Int32 id) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.Process () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.EventSystem.Update () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 

12/19/2018 3:57:24 PM
-----------
NullReferenceException
Stack Trace: UnityEngine.EventSystems.UIBehaviour.IsActive () (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
TMPro.TMP_ArcenDropdown.Hide () (at <371fc104c94a4724860239623ea95520>:0)
TMPro.TMP_ArcenDropdown.OnSelectItem (UnityEngine.UI.Toggle toggle) (at <371fc104c94a4724860239623ea95520>:0)
TMPro.TMP_ArcenDropdown+<Show>c__AnonStorey1.<>m__0 (System.Boolean x) (at <371fc104c94a4724860239623ea95520>:0)
UnityEngine.Events.InvokableCall`1[T1].Invoke (T1 args0) (at <d4d4a76e1c8542dc9298df0a5fd7021c>:0)
UnityEngine.Events.UnityEvent`1[T0].Invoke (T0 arg0) (at <d4d4a76e1c8542dc9298df0a5fd7021c>:0)
UnityEngine.UI.Toggle.Set (System.Boolean value, System.Boolean sendCallback) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.Set (System.Boolean value) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.set_isOn (System.Boolean value) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.InternalToggle () (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.EventSystem:Update()



  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.DebugLogHandler.Internal_LogException (System.Exception , UnityEngine.Object ) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.DebugLogHandler.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.Logger.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.Debug.LogException (System.Exception exception) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMousePress (UnityEngine.EventSystems.PointerInputModule+MouseButtonEventData data) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent (System.Int32 id) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.Process () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.EventSystem.Update () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 

12/19/2018 3:57:24 PM
ErrorsReportedByEngine:    -----------
NullReferenceException
Stack Trace: UnityEngine.EventSystems.UIBehaviour.IsActive () (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
TMPro.TMP_ArcenDropdown.Hide () (at <371fc104c94a4724860239623ea95520>:0)
TMPro.TMP_ArcenDropdown.OnSelectItem (UnityEngine.UI.Toggle toggle) (at <371fc104c94a4724860239623ea95520>:0)
TMPro.TMP_ArcenDropdown+<Show>c__AnonStorey1.<>m__0 (System.Boolean x) (at <371fc104c94a4724860239623ea95520>:0)
UnityEngine.Events.InvokableCall`1[T1].Invoke (T1 args0) (at <d4d4a76e1c8542dc9298df0a5fd7021c>:0)
UnityEngine.Events.UnityEvent`1[T0].Invoke (T0 arg0) (at <d4d4a76e1c8542dc9298df0a5fd7021c>:0)
UnityEngine.UI.Toggle.Set (System.Boolean value, System.Boolean sendCallback) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.Set (System.Boolean value) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.set_isOn (System.Boolean value) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.InternalToggle () (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.UI.Toggle.OnPointerClick (UnityEngine.EventSystems.PointerEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute (UnityEngine.EventSystems.IPointerClickHandler handler, UnityEngine.EventSystems.BaseEventData eventData) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) (at <6b7a89ccbbb847b082dfdd6653b33a39>:0)
UnityEngine.EventSystems.EventSystem:Update()



  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <371fc104c94a4724860239623ea95520>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.DebugLogHandler.Internal_LogException (System.Exception , UnityEngine.Object ) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.DebugLogHandler.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.Logger.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.Debug.LogException (System.Exception exception) [0x00000] in <d4d4a76e1c8542dc9298df0a5fd7021c>:0 
  at UnityEngine.EventSystems.ExecuteEvents.Execute[T] (UnityEngine.GameObject target, UnityEngine.EventSystems.BaseEventData eventData, UnityEngine.EventSystems.ExecuteEvents+EventFunction`1[T1] functor) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMousePress (UnityEngine.EventSystems.PointerInputModule+MouseButtonEventData data) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent (System.Int32 id) [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.ProcessMouseEvent () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.StandaloneInputModule.Process () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 
  at UnityEngine.EventSystems.EventSystem.Update () [0x00000] in <6b7a89ccbbb847b082dfdd6653b33a39>:0 

12/19/2018 3:57:55 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (40,322 bytes)

BadgerBadger

Dec 19, 2018 9:29 pm

manager   ~0050628

The Game Lobby is going to be entirely redone at some point, which will probably resolve this.

x4000Bughunter

May 17, 2019 8:58 pm

administrator   ~0051676

This SHOULD be fixed now, but please let me know if you see this one again. Thanks!

Issue History

Date Modified Username Field Change
Dec 19, 2018 4:40 pm Ovalcircle New Issue
Dec 19, 2018 4:40 pm Ovalcircle File Added: 20181219155729_1.jpg
Dec 19, 2018 4:40 pm Ovalcircle File Added: ArcenDebugLog.txt
Dec 19, 2018 4:40 pm Ovalcircle File Added: ErrorsReportedByEngine.txt
Dec 19, 2018 9:29 pm BadgerBadger Note Added: 0050628
Dec 19, 2018 9:29 pm BadgerBadger Assigned To => x4000Bughunter
Dec 19, 2018 9:29 pm BadgerBadger Status new => assigned
May 17, 2019 8:58 pm x4000Bughunter Status assigned => resolved
May 17, 2019 8:58 pm x4000Bughunter Resolution open => fixed
May 17, 2019 8:58 pm x4000Bughunter Fixed in Version => BETA 0.860 The Lobby Ate My Factions??
May 17, 2019 8:58 pm x4000Bughunter Note Added: 0051676
May 17, 2019 8:58 pm x4000Bughunter Relationship added child of 0020151